Operations for creating and retrieving customer orders. Requires Cloud Slicer Token and a paid plan
List Orders
List the authenticated user's orders, newest first. Optionally filter by status and cap the result with limit. Requires a valid API token and a paid plan.
Required permissions: orders:read
query Parameters
statusOnly return orders in this status.
Only return orders in this status.
limitMaximum number of orders to return.
Maximum number of orders to return.
List Orders › Responses
Successfully retrieved orders
order_idcreated_atupdated_atuser_idwidget_idcustomer_namecustomer_emailshipping_selectedstatuspriority_scopecurrencysubtotaldiscount_amountshipping_costtotaldeadlinebase_price_applicationCreate Order
Create an order for the authenticated user's widget and persist calculated totals.
Required permissions: orders:write
Create Order › Request Body
widget_idcustomer_namecustomer_emaildeadlineshipping_selectedbase_price_applicationCreate Order › Responses
Successfully created order
user_idstatusorder_idcreated_atGet Order
Get a specific order for the authenticated user. NOTE: The order_id must be the default ID provided to you in your Cloud Slicer dashboard. It cannot be your custom ID
Required permissions: orders:read
path Parameters
order_idOrder ID to retrieve.
Order ID to retrieve.
Get Order › Responses
Successfully retrieved order
order_idcreated_atupdated_atuser_idwidget_idcustomer_namecustomer_emailshipping_selectedstatuspriority_scopecurrencysubtotaldiscount_amountshipping_costtotaldeadlinebase_price_applicationDelete Order
Delete an order for the authenticated user. NOTE: The order_id must be the default ID provided to you in your Cloud Slicer dashboard. It cannot be your custom ID
Required permissions: orders:delete
path Parameters
order_idOrder ID to delete.
Order ID to delete.
Delete Order › Responses
Successfully deleted order
user_idstatusorder_idtimestampUpdate Order
Update an existing order for the authenticated user. NOTE: The order_id must be the default ID provided to you in your Cloud Slicer dashboard. It cannot be your custom ID
Required permissions: orders:write
path Parameters
order_idOrder ID to update.
Order ID to update.
Update Order › Responses
Successfully updated order
user_idstatusorder_idupdated_at